org.apache.sysds.runtime.transform.encode

## Class ColumnEncoderPassThrough

- java.lang.Object
- - org.apache.sysds.runtime.transform.encode.ColumnEncoder
  - - org.apache.sysds.runtime.transform.encode.ColumnEncoderPassThrough

- All Implemented Interfaces:
    Externalizable, Serializable, Comparable<ColumnEncoder>, Encoder

      public class ColumnEncoderPassThrough
      extends ColumnEncoder

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.sysds.runtime.transform.encode.ColumnEncoder

      `ColumnEncoder.EncoderType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnEncoderPassThrough()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MatrixBlock` | `apply(FrameBlock in, MatrixBlock out, int outputCol)` Apply the generated metadata to the FrameBlock and saved the result in out.
    `MatrixBlock` | `apply(FrameBlock in, MatrixBlock out, int outputCol, int rowStart, int blk)`
    `MatrixBlock` | `apply(MatrixBlock in, MatrixBlock out, int outputCol)`
    `MatrixBlock` | `apply(MatrixBlock in, MatrixBlock out, int outputCol, int rowStart, int blk)`
    `void` | `build(FrameBlock in)` Build the transform meta data for the given block input.
    `List<DependencyTask<?>>` | `getBuildTasks(FrameBlock in, int blockSize)`
    `FrameBlock` | `getMetaData(FrameBlock meta)` Construct a frame block out of the transform meta data.
    `void` | `initMetaData(FrameBlock meta)` Sets up the required meta data for a subsequent call to apply.
    `void` | `mergeAt(ColumnEncoder other)` Merges another encoder, of a compatible type, in after a certain position.

    - ### Methods inherited from class org.apache.sysds.runtime.transform.encode.ColumnEncoder

      `buildPartial, compareTo, getApplyTasks, getApplyTasks, getBuildTask, getColID, getColMapping, getPartialBuildTask, getPartialMergeBuildTask, isApplicable, isApplicable, prepareBuildPartial, readExternal, setColID, shiftCol, updateIndexRanges, writeExternal`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnEncoderPassThrough

          public ColumnEncoderPassThrough()

  - ### Method Detail

    - #### build

          public void build(FrameBlock in)

      Description copied from interface: `Encoder`
      Build the transform meta data for the given block input. This call modifies and keeps meta data as encoder state.
      Parameters:
        `in` - input frame block

    - #### getBuildTasks

          public List<DependencyTask<?>> getBuildTasks(FrameBlock in,
                                                       int blockSize)

      Overrides:
        `getBuildTasks` in class `ColumnEncoder`

    - #### apply

          public MatrixBlock apply(FrameBlock in,
                                   MatrixBlock out,
                                   int outputCol)

      Description copied from interface: `Encoder`
      Apply the generated metadata to the FrameBlock and saved the result in out.
      Parameters:
        `in` - input frame block
        `out` - output matrix block
        `outputCol` - is a offset in the output matrix. column in FrameBlock + outputCol = column in out
      Returns:
        output matrix block

    - #### apply

          public MatrixBlock apply(MatrixBlock in,
                                   MatrixBlock out,
                                   int outputCol)

      Specified by:
        `apply` in class `ColumnEncoder`

    - #### apply

          public MatrixBlock apply(FrameBlock in,
                                   MatrixBlock out,
                                   int outputCol,
                                   int rowStart,
                                   int blk)

      Specified by:
        `apply` in class `ColumnEncoder`

    - #### apply

          public MatrixBlock apply(MatrixBlock in,
                                   MatrixBlock out,
                                   int outputCol,
                                   int rowStart,
                                   int blk)

      Specified by:
        `apply` in class `ColumnEncoder`

    - #### mergeAt

          public void mergeAt(ColumnEncoder other)

      Description copied from class: `ColumnEncoder`
      Merges another encoder, of a compatible type, in after a certain position. Resizes as necessary. `ColumnEncoders` are compatible with themselves and `EncoderComposite` is compatible with every other `ColumnEncoders`. `MultiColumnEncoders` are compatible with every encoder
      Overrides:
        `mergeAt` in class `ColumnEncoder`
      Parameters:
        `other` - the encoder that should be merged in

    - #### getMetaData

          public FrameBlock getMetaData(FrameBlock meta)

      Description copied from interface: `Encoder`
      Construct a frame block out of the transform meta data.
      Parameters:
        `meta` - output frame block
      Returns:
        output frame block?

    - #### initMetaData

          public void initMetaData(FrameBlock meta)

      Description copied from interface: `Encoder`
      Sets up the required meta data for a subsequent call to apply.
      Parameters:
        `meta` - frame block

Copyright © 2021 The Apache Software Foundation. All rights reserved.